/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(Drupal => {
  Drupal.h4cOlive = {};

  function isDesktopNav() {
    const navButtons = document.querySelector('[data-drupal-selector="mobile-buttons"]');
    return navButtons ? window.getComputedStyle(navButtons).getPropertyValue('display') === 'none' : false;
  }

  Drupal.h4cOlive.isDesktopNav = isDesktopNav;

  if ('IntersectionObserver' in window && 'IntersectionObserverEntry' in window && 'intersectionRatio' in window.IntersectionObserverEntry.prototype) {
    const fixableElements = document.querySelectorAll('[data-drupal-selector="site-header-fixable"], [data-drupal-selector="social-bar-inner"]');

    function toggleDesktopNavVisibility(entries) {
      entries.forEach(entry => {
        if (entry.intersectionRatio < 1) {
          fixableElements.forEach(el => el.classList.add('is-fixed'));
        } else {
          fixableElements.forEach(el => el.classList.remove('is-fixed'));
        }
      });
    }

    function getRootMargin() {
      let rootMarginTop = 0;
      const {
        body
      } = document;

      if (body.classList.contains('toolbar-fixed')) {
        rootMarginTop -= 39;
      }

      if (body.classList.contains('toolbar-horizontal') && body.classList.contains('toolbar-tray-open')) {
        rootMarginTop -= 40;
      }

      return `${rootMarginTop}px 0px 0px 0px`;
    }

    function monitorNavPosition() {
      const primaryNav = document.querySelector('[data-drupal-selector="site-header"]');
      const options = {
        rootMargin: getRootMargin(),
        threshold: [0.999, 1]
      };
      const observer = new IntersectionObserver(toggleDesktopNavVisibility, options);

      if (primaryNav) {
        observer.observe(primaryNav);
      }
    }

    monitorNavPosition();
  }
})(Drupal);